{ config, lib, ... }:

with lib;

mkIf (elem "emacs::fcitx" config.machine.pkgs) {
  programs.emacs.init.usePackage = {
    fcitx = {
      enable = true;
      demand = true;
      config = ''
        ;; (setq fcitx-use-dbus t)
        (fcitx-default-setup)
      '';
    };
  };
}
