{ config, lib, ... }:

with lib;

mkIf (elem "emacs::magit" config.machine.pkgs) {
  programs.emacs.init.usePackage.magit = {
    enable = true;
    bind = {
      "C-c m" = "magit-status";
    };
  };
}
