{ config, lib, pkgs, ... }:

let
  fn = import ../fn.nix { inherit lib; };
in {
  config.machine.pkgsets.haskell.pkgwrap = (pkgs.haskellPackages.ghcWithPackages (pkgs: (fn.pkgFilter config.machine.pkgsets.haskell.pkgs)));
  config.machine.pkgsets.haskell.pkgs = with pkgs.haskellPackages; [
    hindent
    mtl
    random
  ];
}
