{ config, pkgs, ... }:

{
  console.keyMap = "de";
  i18n = {
    defaultLocale = "en_US.UTF-8";

    inputMethod = {
      enabled = if config.services.xserver.enable then "fcitx" else null;
      fcitx.engines = with pkgs.fcitx-engines; [ chewing libpinyin table-extra mozc ];
    };
  };
}
