{ config, lib, pkgs, ... }:

with lib;

mkIf (elem "emacs::yasnippet" config.machine.pkgs) {
  programs.emacs.init.usePackage = {
    yasnippet = {
      enable = true;
      hook = [ "(after-init . yas-global-mode)" ];
      # config = ''

      # '';
    };
    yasnippet-snippets = {
      enable = true;
    };
  };
}
